--
-- Lua MaoEsquerda
--
-- @author: Hugo94Fr
-- @date: 13/09/2015
-- @time: 23h11

MaoEsquerda = {};

function MaoEsquerda.prerequisitesPresent(specializations)
	return true;
end;

function MaoEsquerda:load(xmlFile)
	self.Mao2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.characterNode#MaoEsquerda"));
end;

function MaoEsquerda:postLoad(xmlFile)
	if self.Mao2 ~= nil then
		setVisibility(self.Mao2, false);
	end;
end;

function MaoEsquerda:delete()
end;

function MaoEsquerda:readStream(streamId, connection)
end;

function MaoEsquerda:writeStream(streamId, connection)
end;

function MaoEsquerda:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
end;

function MaoEsquerda:getSaveAttributesAndNodes(nodeIdent)
end;

function MaoEsquerda:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MaoEsquerda:keyEvent(unicode, sym, modifier, isDown)
end;

function MaoEsquerda:update(dt)
end;

function MaoEsquerda:updateTick(dt)
end;

function MaoEsquerda:draw()
end;

function MaoEsquerda:onEnter()
	if self.Mao2 ~= nil then
		setVisibility(self.Mao2, true);
	end;
end;

function MaoEsquerda:onLeave()
	if self.Mao2 ~= nil then
		if self.disableCharacterOnLeave then
			setVisibility(self.Mao2, false);
		else
			setVisibility(self.Mao2, true);
		end;
	end;
end;
